unit TL_Cnst;

interface

const
    {Reasons why a line device might not be usable by TapiComm.}
    LINENOTUSEABLE_ERROR            =$00000001;
    LINENOTUSEABLE_NOVOICE          =$00000002;
    LINENOTUSEABLE_NODATAMODEM      =$00000004;
    LINENOTUSEABLE_NOMAKECALL       =$00000008;
    LINENOTUSEABLE_ALLOCATED        =$00000010;
    LINENOTUSEABLE_INUSE            =$00000020;
    LINENOTUSEABLE_NOCOMMDATAMODEM  =$00000040;

    LINECALLSTATE_BASE                         = $00001000;
    LINEDIALTONEMODE_BASE                      = $00001100;
    LINEDISCONNECTMODE_BASE                    = $00001420;
    LINEBUSYMODE_BASE                          = $00001640;
    CE_BASE                                    = $00001860;

    TAPILINE_BASE                              = $00008200;

    TL_LINECALLSTATE_IDLE                      = LINECALLSTATE_BASE+$00000001;
    TL_LINECALLSTATE_OFFERING                  = LINECALLSTATE_BASE+$00000002;
    TL_LINECALLSTATE_ACCEPTED                  = LINECALLSTATE_BASE+$00000004;
    TL_LINECALLSTATE_DIALTONE                  = LINECALLSTATE_BASE+$00000008;
    TL_LINECALLSTATE_DIALING                   = LINECALLSTATE_BASE+$00000010;
    TL_LINECALLSTATE_RINGBACK                  = LINECALLSTATE_BASE+$00000020;
    TL_LINECALLSTATE_BUSY                      = LINECALLSTATE_BASE+$00000040;
    TL_LINECALLSTATE_SPECIALINFO               = LINECALLSTATE_BASE+$00000080;
    TL_LINECALLSTATE_CONNECTED                 = LINECALLSTATE_BASE+$00000100;
    TL_LINECALLSTATE_PROCEEDING                = LINECALLSTATE_BASE+$00000200;
    TL_LINECALLSTATE_ONHOLD                    = LINECALLSTATE_BASE+$00000400;
    TL_LINECALLSTATE_CONFERENCED               = LINECALLSTATE_BASE+$00000800;
    TL_LINECALLSTATE_ONHOLDPENDCONF            = LINECALLSTATE_BASE+$00001000;
    TL_LINECALLSTATE_ONHOLDPENDTRANSFER        = LINECALLSTATE_BASE+$00002000;
    TL_LINECALLSTATE_DISCONNECTED              = LINECALLSTATE_BASE+$00004000;
    TL_LINECALLSTATE_UNKNOWN                   = LINECALLSTATE_BASE+$00008000;

    TL_LINEDIALTONEMODE_NORMAL                 = LINEDIALTONEMODE_BASE+$00000001;
    TL_LINEDIALTONEMODE_SPECIAL                = LINEDIALTONEMODE_BASE+$00000002;
    TL_LINEDIALTONEMODE_INTERNAL               = LINEDIALTONEMODE_BASE+$00000004;
    TL_LINEDIALTONEMODE_EXTERNAL               = LINEDIALTONEMODE_BASE+$00000008;
    TL_LINEDIALTONEMODE_UNKNOWN                = LINEDIALTONEMODE_BASE+$00000010;
    TL_LINEDIALTONEMODE_UNAVAIL                = LINEDIALTONEMODE_BASE+$00000020;

    TL_LINEDISCONNECTMODE_NORMAL               = LINEDISCONNECTMODE_BASE+$00000001;
    TL_LINEDISCONNECTMODE_UNKNOWN              = LINEDISCONNECTMODE_BASE+$00000002;
    TL_LINEDISCONNECTMODE_REJECT               = LINEDISCONNECTMODE_BASE+$00000004;
    TL_LINEDISCONNECTMODE_PICKUP               = LINEDISCONNECTMODE_BASE+$00000008;
    TL_LINEDISCONNECTMODE_FORWARDED            = LINEDISCONNECTMODE_BASE+$00000010;
    TL_LINEDISCONNECTMODE_BUSY                 = LINEDISCONNECTMODE_BASE+$00000020;
    TL_LINEDISCONNECTMODE_NOANSWER             = LINEDISCONNECTMODE_BASE+$00000040;
    TL_LINEDISCONNECTMODE_BADADDRESS           = LINEDISCONNECTMODE_BASE+$00000080;
    TL_LINEDISCONNECTMODE_UNREACHABLE          = LINEDISCONNECTMODE_BASE+$00000100;
    TL_LINEDISCONNECTMODE_CONGESTION           = LINEDISCONNECTMODE_BASE+$00000200;
    TL_LINEDISCONNECTMODE_INCOMPATIBLE         = LINEDISCONNECTMODE_BASE+$00000400;
    TL_LINEDISCONNECTMODE_UNAVAIL              = LINEDISCONNECTMODE_BASE+$00000800;
    TL_LINEDISCONNECTMODE_NODIALTONE           = LINEDISCONNECTMODE_BASE+$00001000;

    TL_LINEBUSYMODE_STATION                    = LINEBUSYMODE_BASE+$00000001;
    TL_LINEBUSYMODE_TRUNK                      = LINEBUSYMODE_BASE+$00000002;
    TL_LINEBUSYMODE_UNKNOWN                    = LINEBUSYMODE_BASE+$00000004;
    TL_LINEBUSYMODE_UNAVAIL                    = LINEBUSYMODE_BASE+$00000008;

    TAPILINE_LINECLOSE = TAPILINE_BASE+1;
    TAPILINE_NOMODEMS = TAPILINE_BASE+2;
    TAPILINE_AVINOTFOUND = TAPILINE_BASE+3;
    TAPILINE_LINEOPENED = TAPILINE_BASE+4;
    TAPILINE_STOP = TAPILINE_BASE+5;
    TAPILINE_DROP = TAPILINE_BASE+6;
    TAPILINE_DROPOK = TAPILINE_BASE+7;
    TAPILINE_CLOSE = TAPILINE_BASE+8;
    TAPILINE_CLOSEOK = TAPILINE_BASE+9;
    TAPILINE_LINEUNAVAIL = TAPILINE_BASE+10;
    TAPILINE_LINENAMEEMPTY = TAPILINE_BASE+11;
    TAPILINE_LINEUNNAMED = TAPILINE_BASE+12;
    TAPILINE_DOESNTSUPPORTVOICE = TAPILINE_BASE+13;
    TAPILINE_DOESNTSUPPORTDATAMODEM = TAPILINE_BASE+14;
    TAPILINE_DOESNTSUPPORTMAKECALL = TAPILINE_BASE+15;
    TAPILINE_LINEINUSE = TAPILINE_BASE+16;
    TAPILINE_ADDDOESNTSUPPORTMAKECALL = TAPILINE_BASE+17;
    TAPILINE_MODEMCONNECTED = TAPILINE_BASE+18;
    TAPILINE_TIME = TAPILINE_BASE+19;
    TAPILINE_CALLARRIVES = TAPILINE_BASE+20;
    TAPILINE_PASSRING = TAPILINE_BASE+21;
    TAPILINE_LINEOPEN = TAPILINE_BASE+22;
    TAPILINE_LINENOTUSEABLE_ERROR = TAPILINE_BASE+23;

    TAPILINE_ERR_CONNECTIONINTERNAL = TAPILINE_BASE+100;
    TAPILINE_ERR_UNABLETOANSWER = TAPILINE_BASE+101;
    TAPILINE_ERR_DEALOCATE = TAPILINE_BASE+102;
    TAPILINE_ERR_REPLY = TAPILINE_BASE+103;
    TAPILINE_ERR_NOSELECTEDLINE = TAPILINE_BASE+104;
    TAPILINE_ERR_LINENOTOPEN = TAPILINE_BASE+105;
    TAPILINE_ERR_ALREADYEXISTS = TAPILINE_BASE+106;
    TAPILINE_ERR_COMERROR = TAPILINE_BASE+107;
    TAPILINE_ERR_COMREADING = TAPILINE_BASE+108;
    TAPILINE_ERR_COMWRITING = TAPILINE_BASE+109;
    TAPILINE_ERR_COMDISCONNECT = TAPILINE_BASE+110;
    TAPILINE_ERR_READTIMEOUT = TAPILINE_BASE+111;
    TAPILINE_ERR_WRITETIMEOUT = TAPILINE_BASE+112;
    TAPILINE_ERR_CONNECTIONBROKENREAD = TAPILINE_BASE+113;
    TAPILINE_ERR_READWHILEWAIT = TAPILINE_BASE+114;
    TAPILINE_ERR_CONNECTIONBROKENWRITE = TAPILINE_BASE+115;
    TAPILINE_ERR_WRITEWHILEWAIT = TAPILINE_BASE+116;

    TL_CE_RXOVER = CE_BASE+1;        { Receive Queue overflow }
    TL_CE_OVERRUN = CE_BASE+2;       { Receive Overrun Error }
    TL_CE_RXPARITY = CE_BASE+4;      { Receive Parity Error }
    TL_CE_FRAME = CE_BASE+8;         { Receive Framing error }
    TL_CE_BREAK = CE_BASE+$10;       { Break Detected }
    TL_CE_TXFULL = CE_BASE+$100;     { TX Queue is full }
    TL_CE_PTO = CE_BASE+$200;        { LPTx Timeout }
    TL_CE_IOE = CE_BASE+$400;        { LPTx I/O Error }
    TL_CE_DNS = CE_BASE+$800;        { LPTx Device not selected }
    TL_CE_OOP = CE_BASE+$1000;       { LPTx Out-Of-Paper }
    TL_CE_MODE = CE_BASE+$8000;      { Requested mode unsupported }

implementation

end.
